Bug 733365 - Integration of wallaby node tagging facilities in cumin [RFE]
Summary: Integration of wallaby node tagging facilities in cumin [RFE]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin
Version: Development
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: 2.1
: ---
Assignee: Chad Roberts
QA Contact: Stanislav Graf
URL:
Whiteboard:
Depends On:
Blocks: 743350 755648
TreeView+ depends on / blocked
 
Reported: 2011-08-25 15:00 UTC by Trevor McKay
Modified: 2012-02-08 10:44 UTC (History)
5 users (show)

Fixed In Version: cumin-0.1.5098-1
Doc Type: Enhancement
Doc Text:
1) The node tagging functionality can be found under the Grid::Configuration tab. The table there will contain all of the tags that are currently in the wallaby configure store. 2) You can create new tags via the "Create tags" link. 3) Tags can be deleted by checking the tags that you want to delete and then using the "Delete tags" button that is above the tags list table. 4) When performing any action with tagging (create, remove, apply to nodes, apply features), the status of the task will appear in the yellow "invocation banner" at the top of the cumin interface. Even after an operation gets the "OK" status, it may take a short time for the changes to be reflected in the display. This is due to the way we are caching the wallaby information. Each action will trigger the cache to be reloaded, but it may not finish for a few seconds. Most changes should show up in a matter of seconds though. Any "long" waits should be brought to the attention of the development team. 5) From the view of a tag (after clicking on a tag name from the tags table), you have options to "Edit hosts" or "Edit features"
Clone Of:
Environment:
Last Closed: 2012-01-23 17:28:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:0045 normal SHIPPED_LIVE Red Hat Enterprise MRG Grid 2.1 bug fix and enhancement update 2012-01-23 22:22:58 UTC

Description Trevor McKay 2011-08-25 15:00:05 UTC
Description of problem:

Mostly done.  Add interface to cumin to allow manipulation of tags and nodes through wallaby.

Comment 1 Trevor McKay 2011-09-20 18:25:33 UTC
Work has been ongoing, consider this fixed as of revision 4982.

This general feature has involved two development areas:  one, an integration of cumin and wallaby at the API level so that information from wallaby can be pulled into cumin, and two, presentation of available information and operation on screen.

At present, the planned features all work.  Other BZs may be opened if necessary to address performance issues.

We still need to post information here on how to test.

Comment 2 Chad Roberts 2011-09-23 20:37:42 UTC
Here's a few notes on where the functionality can be found.  If you have any questions, please contact me.

1)  The node tagging functionality can be found under the Grid::Configuration tab.  The table there will contain all of the tags that are currently in the wallaby configure store.  

2) You can create new tags via the "Create tags" link.  

3) Tags can be deleted by checking the tags that you want to delete and then using the "Delete tags" button that is above the tags list table.

4) When performing any action with tagging (create, remove, apply to nodes, apply features), the status of the task will appear in the yellow "invocation banner" at the top of the cumin interface.  Even after an operation gets the "OK" status, it may take a short time for the changes to be reflected in the display.  This is due to the way we are caching the wallaby information.  Each action will trigger the cache to be reloaded, but it may not finish for a few seconds.  Most changes should show up in a matter of seconds though.  Any "long" waits should be brought to the attention of the development team.

5) From the view of a tag (after clicking on a tag name from the tags table), you have options to "Edit hosts" or "Edit features"

Comment 3 Chad Roberts 2011-10-04 17:31:36 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
1)  The node tagging functionality can be found under the Grid::Configuration
tab.  The table there will contain all of the tags that are currently in the
wallaby configure store.  

2) You can create new tags via the "Create tags" link.  

3) Tags can be deleted by checking the tags that you want to delete and then
using the "Delete tags" button that is above the tags list table.

4) When performing any action with tagging (create, remove, apply to nodes,
apply features), the status of the task will appear in the yellow "invocation
banner" at the top of the cumin interface.  Even after an operation gets the
"OK" status, it may take a short time for the changes to be reflected in the
display.  This is due to the way we are caching the wallaby information.  Each
action will trigger the cache to be reloaded, but it may not finish for a few
seconds.  Most changes should show up in a matter of seconds though.  Any
"long" waits should be brought to the attention of the development team.

5) From the view of a tag (after clicking on a tag name from the tags table),
you have options to "Edit hosts" or "Edit features"

Comment 5 Stanislav Graf 2011-10-25 09:03:08 UTC
Cumin versions:
cumin-0.1.5068-1.el5.noarch
cumin-0.1.5068-1.el6.noarch

Deleting tags:
Don't select any tag and click delete -> empty confirmation window is displayed, after clicking on submit message "Delete tags: OK" is displayed and no tag is deleted.
-> can we display some error/warning?

"invocation banner":
Invocation banner never disappear. User must click on "dismiss" in order to get rid of them.
-> can we set some timer on this?

Comment 6 Trevor McKay 2011-10-25 12:43:57 UTC
We would need a separate RFE for a time on the invocation banners.  This would be a general feature that would apply to all task banners.  We've chatted about this before.

Comment 7 Chad Roberts 2011-10-25 14:15:59 UTC
Regarding #5 above:  

Deleting tags:
Don't select any tag and click delete -> empty confirmation window is
displayed, after clicking on submit message "Delete tags: OK" is displayed and
no tag is deleted.
-> can we display some error/warning?

Yes, the 0 selected case should be handled gracefully.  There should be no yellow banner given if there were no tags selected.

Comment 8 Chad Roberts 2011-10-25 19:42:29 UTC
The fix for this is in revision 5096 on trunk.


Choosing "Delete" with no tags selected will no longer bring up the delete form.  This is consistent with the behavior on the Hold/Release/Edit jobs functionality.

Comment 10 Stanislav Graf 2011-10-31 15:47:02 UTC
Verify:

Cumin versions:
cumin-0.1.5098-1.el5
cumin-0.1.5098-1.el6

Test plan:
- Grid::Configuration tab
- table there contain all of the tags that are currently in the
wallaby configure store.  
- Create new tags via the "Create tags" link.  
- delete tag by checking the tag that you want to delete and then
using the "Delete tags" button that is above the tags list table
- Choosing "Delete" with no tags selected will no longer bring up the delete
form.  This is consistent with the behavior on the Hold/Release/Edit jobs
functionality.
- When performing any action with tagging (create, remove, apply to nodes,
apply features), the status of the task will appear in the yellow "invocation
banner" at the top of the cumin interface. 
- Most changes should show up in a matter of seconds.
- Invocation banner never disappear. User must click on "dismiss" in order to get
rid of them - RFE - Bug 750196 
- From the view of a tag (after clicking on a tag name from the tags table),
you have options to "Edit hosts" or "Edit features"

---> VERIFIED

Comment 11 errata-xmlrpc 2012-01-23 17:28:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0045.html


Note You need to log in before you can comment on or make changes to this bug.